Subject: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: Jean Louis <[email-masked]>
Date: Mon, 7 Dec 2020 22:45:16 +0300

* Eli Zaretskii <[email-masked]> [2020-12-07 22:28]:
> > Date: Mon, 7 Dec 2020 21:49:02 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > > My recommendation is not to "abuse" the recursive editing; the ELisp
> > > manual rightfully warns against that, albeit indirectly.  If you
> > > frequently need ti switch away of the minibuffer without exiting it, I
> > > suggest to use a separate frame for your excursions: when exiting the
> > > minibuffer, Emacs only restores the windows on the frame where you
> > > entered the minibuffer (assuming you aren't using minibuffer-only
> > > frames).
> > 
> > If there is logic and reason fine, we close this?
> 
> The defaults are definitely fine, IMO.  But if you want very much to
> have an opt-in behavior to disable restoring of the window
> configuration of the frame, I won't object to such an option.

I think I am only one and is not necessary. I can setup environment
better like you said. I was editing geographic coordinates one after
the other and one cannot make a mistake there and I need to watch
pictures while editing which are in various buffers.